# Praetor [![Circle CI](https://circleci.com/gh/SenecaSystems/praetor.svg?style=svg)](https://circleci.com/gh/SenecaSystems/praetor)

Lightweight microservices for Ruby

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'praetor'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install praetor

## Usage

You'll need to have a Redis instance running. Praetor checks for `REDIS_PROVIDER`
by default to find a connection URL. Otherwise, it just uses `Redis.new`.

See `spec/support/echo_service` for an example service implementation.

See `spec/service_client_spec.rb` for an example of how clients can consume Services.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/praetor/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
