# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'praetor/version'

Gem::Specification.new do |spec|
  spec.name          = "praetor"
  spec.version       = Praetor::VERSION
  spec.authors       = ["Nick DeMonner"]
  spec.email         = ["nick@seneca.systems"]
  spec.summary       = "Lightweight microservices for Ruby"
  spec.description   = "Lightweight microservices for Ruby"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1.0"
  spec.add_development_dependency "activemodel", "~> 4.2.0"
  spec.add_runtime_dependency "hashie", "~> 3.3.2"
  spec.add_runtime_dependency "rubyflake", "~> 0.1.1"
  spec.add_runtime_dependency "redis", "~> 3.2"
  spec.add_runtime_dependency "oj", "~> 2.11.4"
  spec.add_runtime_dependency "oj_mimic_json", "~> 1.0.1"
  spec.add_runtime_dependency "activesupport", "~> 4.2.0"
end
